Loading...
Searching...
No Matches
Opm::ParseContext Class Reference

## Public Member Functions

| ParseContext (InputErrorAction default_action)
| ParseContext (const std::vector< std::pair< std::string, InputErrorAction > > &initial)
void | handleError (const std::string &errorKey, const std::string &msg, const std::optional< KeywordLocation > &location, ErrorGuard &errors) const
void | handleUnknownKeyword (const std::string &keyword, const std::optional< KeywordLocation > &location, ErrorGuard &errors) const
bool | hasKey (const std::string &key) const
ParseContext | withKey (const std::string &key, InputErrorAction action) const
ParseContext & | withKey (const std::string &key, InputErrorAction action)
void | updateKey (const std::string &key, InputErrorAction action)
void | update (InputErrorAction action)
void | update (const std::string &keyString, InputErrorAction action)
void | ignoreKeyword (const std::string &keyword)
InputErrorAction | get (const std::string &key) const
std::map< std::string, InputErrorAction >::const_iterator | begin () const
std::map< std::string, InputErrorAction >::const_iterator | end () const
void | addKey (const std::string &key, InputErrorAction default_action)
void | setInputSkipMode (const std::string &skip_mode)
bool | isActiveSkipKeyword (const std::string &deck_name) const

## Static Public Attributes

static const std::string | PARSE_EXTRA_RECORDS = "PARSE_EXTRA_RECORDS"
static const std::string | PARSE_UNKNOWN_KEYWORD = "PARSE_UNKNOWN_KEYWORD"
static const std::string | PARSE_RANDOM_TEXT = "PARSE_RANDOM_TEXT"
static const std::string | PARSE_RANDOM_SLASH = "PARSE_RANDOM_SLASH"
static const std::string | PARSE_MISSING_DIMS_KEYWORD = "PARSE_MISSING_DIMS_KEYWORD"
static const std::string | PARSE_EXTRA_DATA = "PARSE_EXTRA_DATA"
static const std::string | PARSE_MISSING_INCLUDE = "PARSE_MISSING_INCLUDE"
static const std::string | PARSE_INVALID_KEYWORD_COMBINATION = "PARSE_INVALID_KEYWORD_COMBINATION"
static const std::string | RUNSPEC_NUMWELLS_TOO_LARGE = "RUNSPEC_NUMWELLS_TOO_LARGE"
| Dynamic number of wells exceeds maximum declared in RUNSPEC keyword WELLDIMS (item 1).
static const std::string | RUNSPEC_CONNS_PER_WELL_TOO_LARGE = "RUNSPEC_CONNS_PER_WELL_TOO_LARGE"
| Dynamic number of connections per well exceeds maximum declared in RUNSPEC keyword WELLDIMS (item 2).
static const std::string | RUNSPEC_NUMGROUPS_TOO_LARGE = "RUNSPEC_NUMGROUPS_TOO_LARGE"
| Dynamic number of groups exceeds maximum number declared in RUNSPEC keyword WELLDIMS (item 3).
static const std::string | RUNSPEC_GROUPSIZE_TOO_LARGE = "RUNSPEC_GROUPSIZE_TOO_LARGE"
| Dynamic group size exceeds maximum number declared in RUNSPEC keyword WELLDIMS (item 4).
static const std::string | RUNSPEC_NUMMSW_TOO_LARGE = "RUNSPEC_NUMMSW_TOO_LARGE"
| Dynamic number of multi-segmented wells exceeds maximum declared in RUNSPEC keyword WSEGDIMS (item 1).
static const std::string | RUNSPEC_NUMSEG_PER_WELL_TOO_LARGE = "RUNSPEC_NUMSEG_PER_WELL_TOO_LARGE"
| Dynamic number of segments per MS well exceeds maximum declared in RUNSPEC keyword WSEGDIMS (item 2).
static const std::string | RUNSPEC_NUMBRANCH_TOO_LARGE = "RUNSPEC_NUMBRANCH_TOO_LARGE"
| Dynamic number of branches exceeds maximum number declared in RUNSPEC keyword WSEGDIMS (item 3).
static const std::string | PARSE_LONG_KEYWORD = "PARSE_LONG_KEYWORD"
static const std::string | UNIT_SYSTEM_MISMATCH = "UNIT_SYSTEM_MISMATCH"
static const std::string | UNSUPPORTED_INITIAL_THPRES = "UNSUPPORTED_INITIAL_THPRES"
static const std::string | UNSUPPORTED_TERMINATE_IF_BHP = "UNSUPPORTED_TERMINATE_IF_BHP"
static const std::string | UDQ_PARSE_ERROR = "UDQ_PARSE_ERROR"
static const std::string | UDQ_TYPE_ERROR = "UDQ_TYPE_ERROR"
static const std::string | UDQ_DEFINE_CANNOT_EVAL = "UDQ_DEFINE_CANNOT_EVAL"
| Cannot evaluate the defining expression of a UDQ at the point of definition due to missing objects, e.g., wells or groups.
static const std::string | INTERNAL_ERROR_UNINITIALIZED_THPRES = "INTERNAL_ERROR_UNINITIALIZED_THPRES"
static const std::string | PARSE_MISSING_SECTIONS = "PARSE_MISSING_SECTIONS"
static const std::string | PARSE_WGNAME_SPACE = "PARSE_WGNAME_SPACE"
static const std::string | SUMMARY_UNKNOWN_WELL = "SUMMARY_UNKNOWN_WELL"
static const std::string | SUMMARY_UNKNOWN_GROUP = "SUMMARY_UNKNOWN_GROUP"
static const std::string | SUMMARY_UNKNOWN_NODE = "SUMMARY_UNKNOWN_NODE"
static const std::string | SUMMARY_UNKNOWN_AQUIFER = "SUMMARY_UNKNOWN_AQUIFER"
static const std::string | SUMMARY_UNHANDLED_KEYWORD = "SUMMARY_UNHANDLED_KEYWORD"
static const std::string | SUMMARY_UNDEFINED_UDQ = "SUMMARY_UNDEFINED_UDQ"
static const std::string | SUMMARY_UDQ_MISSING_UNIT = "SUMMARY_UDQ_MISSING_UNIT"
static const std::string | SUMMARY_INVALID_FIPNUM = "SUMMARY_INVALID_FIPNUM"
static const std::string | SUMMARY_EMPTY_REGION = "SUMMARY_EMPTY_REGION"
static const std::string | SUMMARY_REGION_TOO_LARGE = "SUMMARY_REGION_TOO_LARGE"
static const std::string | SCHEDULE_INVALID_NAME = "SCHEDULE_INVALID_NAME"
static const std::string | ACTIONX_ILLEGAL_KEYWORD = "ACTIONX_ILLEGAL_KEYWORD"
static const std::string | PYACTION_ILLEGAL_KEYWORD = "PYACTION_ILLEGAL_KEYWORD"
static const std::string | ACTIONX_CONDITION_ERROR = "ACTIONX_CONDITION_ERROR"
static const std::string | ACTIONX_NO_CONDITION = "ACTIONX_NO_CONDITION"
static const std::string | RPT_MIXED_STYLE = "RPT_MIXED_STYLE"
static const std::string | RPT_UNKNOWN_MNEMONIC = "RPT_UNKNOWN_MNEMONIC"
static const std::string | SCHEDULE_GROUP_ERROR = "SCHEDULE_GROUP_ERROR"
static const std::string | SCHEDULE_IGNORED_GUIDE_RATE = "SCHEDULE_IGNORED_GUIDE_RATE"
static const std::string | SCHEDULE_WELL_IN_FIELD_GROUP = "SCHEDULE_WELL_IN_FIELD_GROUP"
static const std::string | SCHEDULE_COMPSEGS_INVALID = "SCHEDULE_COMPSEG_INVALID"
static const std::string | SCHEDULE_COMPSEGS_NOT_SUPPORTED = "SCHEDULE_COMPSEGS_NOT_SUPPORTED"
static const std::string | SCHEDULE_COMPDAT_INVALID = "SCHEDULE_COMPDAT_INVALID"
static const std::string | SIMULATOR_KEYWORD_NOT_SUPPORTED = "SIMULATOR_KEYWORD_NOT_SUPPORTED"
static const std::string | SIMULATOR_KEYWORD_NOT_SUPPORTED_CRITICAL = "SIMULATOR_KEYWORD_NOT_SUPPORTED_CRITICAL"
static const std::string | SIMULATOR_KEYWORD_ITEM_NOT_SUPPORTED = "SIMULATOR_KEYWORD_ITEM_NOT_SUPPORTED"
static const std::string | SIMULATOR_KEYWORD_ITEM_NOT_SUPPORTED_CRITICAL = "SIMULATOR_KEYWORD_ITEM_NOT_SUPPORTED_CRITICAL"

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/ParseContext.hpp
- opm/input/eclipse/Parser/ParseContext.cpp